[oe-commits] org.oe.dev merge of 'e6df832022f99df44b509dc0c3fd63bb19595085'

osas commit openembedded-commits at lists.openembedded.org
Wed Jan 16 21:00:43 UTC 2008


merge of 'e6df832022f99df44b509dc0c3fd63bb19595085'
     and 'fc51ba6c6f78e661b51a328e391e78d3fa49d2d0'

Author: osas at nslu2-linux.org
Branch: org.openembedded.dev
Revision: 759e78a6743866bb0cd9004d9e947af20218aaf6
ViewMTN: http://monotone.openembedded.org/revision/info/759e78a6743866bb0cd9004d9e947af20218aaf6
Files:
1
packages/linux/linux-rp_2.6.23+2.6.24-rc6+git.bb
packages/monit
packages/monit/files
packages/monit/monit-4.10.1
packages/monit/files/init
packages/monit/monit-4.10.1/init
packages/monit/monit_4.10.1.bb
packages/linux/linux-tornado-omap2_2.6.16.16.bb
packages/meta/slugos-packages.bb
Diffs:

#
# mt diff -re6df832022f99df44b509dc0c3fd63bb19595085 -r759e78a6743866bb0cd9004d9e947af20218aaf6
#
# 
# 
# patch "packages/linux/linux-rp_2.6.23+2.6.24-rc6+git.bb"
#  from [076ea04844ab570db5f22cfc2d543f19f9f2af3d]
#    to [8bfa3c79994262c6e40c21497b08d5d69367ac4e]
# 
============================================================
--- packages/linux/linux-rp_2.6.23+2.6.24-rc6+git.bb	076ea04844ab570db5f22cfc2d543f19f9f2af3d
+++ packages/linux/linux-rp_2.6.23+2.6.24-rc6+git.bb	8bfa3c79994262c6e40c21497b08d5d69367ac4e
@@ -1,6 +1,6 @@ require linux-rp.inc
 require linux-rp.inc
 
-PR = "r3"
+PR = "r4"
 
 DEFAULT_PREFERENCE = "-1"
 DEFAULT_PREFERENCE_collie = "1"
@@ -86,13 +86,17 @@ SRC_URI_append_collie = "\
 # These patches are extracted from Pavel Machek's git tree
 # (diff against vanilla kernel)
 SRC_URI_append_collie = "\
-           ${DOSRC}/collie/mtd-sharp-flash-hack-r0.patch;patch=1 \
-           ${DOSRC}/collie/collie-r0.patch;patch=1 \
-           ${DOSRC}/collie/locomolcd-backlight-r0.patch;patch=1 \
-           ${DOSRC}/collie/ucb1x00-touch-audio-r0.patch;patch=1 \
-           file://collie-mcp-r1.patch;patch=1 \
-           ${DOSRC}/collie/sa1100-udc-r0.patch;patch=1 \
-#          ${DOSRC}/collie/collie-pm-r1.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/mtd-sharp-flash-hack-r3.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/mcp-sa11x0-r0.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/locomo-r0.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/locomo_spi-4.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/collie-kexec.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/sharpsl_pm-2.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/collie_pm-2.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/locomokeyb_suspendkey-2.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/ucb1x00_suspend.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/collie-ts.patch;patch=1 \
+       ${TKSRC}/${PN}_${PV}/pcmcia_suspend.patch;patch=1 \
 "
 
 SRC_URI_append_tosa = "\


#
# mt diff -rfc51ba6c6f78e661b51a328e391e78d3fa49d2d0 -r759e78a6743866bb0cd9004d9e947af20218aaf6
#
# 
# 
# add_dir "packages/monit"
# 
# add_dir "packages/monit/files"
# 
# add_dir "packages/monit/monit-4.10.1"
# 
# add_file "packages/monit/files/init"
#  content [0803d04f265b5e23401f6611b137dd47114def35]
# 
# add_file "packages/monit/monit-4.10.1/init"
#  content [0803d04f265b5e23401f6611b137dd47114def35]
# 
# add_file "packages/monit/monit_4.10.1.bb"
#  content [ce8f34274bb715666a2aceab80b44e5f4b8bcbec]
# 
# patch "packages/linux/linux-tornado-omap2_2.6.16.16.bb"
#  from [03dda467990161bcb196927a1060decb35dd3bd2]
#    to [a735d9e07c77baf8fa31bb48cda83957ab6af590]
# 
# patch "packages/meta/slugos-packages.bb"
#  from [1a2ceb929514b8bcf127cdcde0a9622c8ac4a28a]
#    to [9d6f880bd2880baef83e5822947f5771707add1a]
# 
============================================================
--- packages/monit/files/init	0803d04f265b5e23401f6611b137dd47114def35
+++ packages/monit/files/init	0803d04f265b5e23401f6611b137dd47114def35
@@ -0,0 +1,42 @@
+#! /bin/sh 
+#
+# This is an init script for openembedded
+# Copy it to /etc/init.d/monit and type
+# > update-rc.d monit defaults 99
+#
+monit=/usr/bin/monit
+pidfile=/var/run/monit.pid
+monit_args="-c /etc/monitrc"
+
+test -x "$monit" || exit 0
+
+case "$1" in
+  start)
+    echo -n "Starting Monit"
+    start-stop-daemon --start --quiet --exec $monit -- $monit_args
+    RETVAL=$?
+    echo "."
+    ;;
+  stop)
+    echo -n "Stopping Monit"
+    start-stop-daemon --stop --quiet --pidfile $pidfile
+    RETVAL=$?
+    echo "."
+    ;;
+  restart)
+    $0 stop
+    $0 start
+    RETVAL=$?
+    ;;
+  status)
+    $monit $monit_args status
+    RETVAL=$?
+    echo "."
+    ;;
+  *)
+    echo "Usage: $0 {start|stop|restart|status}"
+    exit 1
+esac
+
+exit $RETVAL
+
============================================================
--- packages/monit/monit-4.10.1/init	0803d04f265b5e23401f6611b137dd47114def35
+++ packages/monit/monit-4.10.1/init	0803d04f265b5e23401f6611b137dd47114def35
@@ -0,0 +1,42 @@
+#! /bin/sh 
+#
+# This is an init script for openembedded
+# Copy it to /etc/init.d/monit and type
+# > update-rc.d monit defaults 99
+#
+monit=/usr/bin/monit
+pidfile=/var/run/monit.pid
+monit_args="-c /etc/monitrc"
+
+test -x "$monit" || exit 0
+
+case "$1" in
+  start)
+    echo -n "Starting Monit"
+    start-stop-daemon --start --quiet --exec $monit -- $monit_args
+    RETVAL=$?
+    echo "."
+    ;;
+  stop)
+    echo -n "Stopping Monit"
+    start-stop-daemon --stop --quiet --pidfile $pidfile
+    RETVAL=$?
+    echo "."
+    ;;
+  restart)
+    $0 stop
+    $0 start
+    RETVAL=$?
+    ;;
+  status)
+    $monit $monit_args status
+    RETVAL=$?
+    echo "."
+    ;;
+  *)
+    echo "Usage: $0 {start|stop|restart|status}"
+    exit 1
+esac
+
+exit $RETVAL
+
============================================================
--- packages/monit/monit_4.10.1.bb	ce8f34274bb715666a2aceab80b44e5f4b8bcbec
+++ packages/monit/monit_4.10.1.bb	ce8f34274bb715666a2aceab80b44e5f4b8bcbec
@@ -0,0 +1,24 @@
+LICENSE = "GPL"
+DEPENDS = "openssl"
+
+SRC_URI = "http://www.tildeslash.com/monit/dist/monit-${PV}.tar.gz\
+	file://init"
+
+INITSCRIPT_NAME = "monit"
+INITSCRIPT_PARAMS = "defaults 99"
+
+inherit autotools update-rc.d
+
+EXTRA_OECONF = "--with-ssl-lib-dir=${STAGING_LIBDIR} --with-ssl-incl-dir=${STAGING_INCDIR}" 
+
+do_install_append() {
+	install -d ${D}${sysconfdir}/init.d/
+	install -m 755 ${WORKDIR}/init ${D}${sysconfdir}/init.d/monit
+	sed -i 's:# set daemon  120:set daemon  120:' ${S}/monitrc
+	sed -i 's:include /etc/monit.d/:include /${sysconfdir}/monit.d/:' ${S}/monitrc
+	install -m 600 ${S}/monitrc ${D}${sysconfdir}/monitrc
+	install -m 700 -d ${D}${sysconfdir}/monit.d/
+}
+
+CONFFILES_${PN} += "${sysconfdir}/monitrc"
+
============================================================
--- packages/linux/linux-tornado-omap2_2.6.16.16.bb	03dda467990161bcb196927a1060decb35dd3bd2
+++ packages/linux/linux-tornado-omap2_2.6.16.16.bb	a735d9e07c77baf8fa31bb48cda83957ab6af590
@@ -1,6 +1,7 @@ LICENSE = "GPL"
 DESCRIPTION = "Linux kernel for HTC Tornado/Typhoon/Hurricane phones."
 SECTION = "kernel"
 LICENSE = "GPL"
+PR = "r1"
 
 SRC_URI = "${KERNELORG_MIRROR}/pub/linux/kernel/v2.6/linux-2.6.16.tar.bz2 \
 	   http://www.muru.com/linux/omap/patches/old/patch-2.6.16-omap2.bz2;patch=1 \
============================================================
--- packages/meta/slugos-packages.bb	1a2ceb929514b8bcf127cdcde0a9622c8ac4a28a
+++ packages/meta/slugos-packages.bb	9d6f880bd2880baef83e5822947f5771707add1a
@@ -24,7 +24,18 @@ SLUGOS_PACKAGES = "\
 	apex-env \
 	apr \
 	asterisk \
-	asterisk-sounds \
+	asterisk-core-sounds-en-alaw \
+	asterisk-core-sounds-en-g729 \
+	asterisk-core-sounds-en-gsm \
+	asterisk-core-sounds-en-ulaw \
+	asterisk-extra-sounds-en-alaw \
+	asterisk-extra-sounds-en-g729 \
+	asterisk-extra-sounds-en-gsm \
+	asterisk-extra-sounds-en-ulaw \
+	asterisk-moh-freeplay-alaw \
+	asterisk-moh-freeplay-g729 \
+	asterisk-moh-freeplay-gsm \
+	asterisk-moh-freeplay-ulaw \
 	atftp \
 	audiofile \
 	aumix \
@@ -137,6 +148,7 @@ SLUGOS_PACKAGES = "\
 	miau \
 	microcom \
 	minicom \
+	monit \
 	motion \
 	mpd \
 	mt-daapd \
@@ -148,9 +160,11 @@ SLUGOS_PACKAGES = "\
 	ncftp \
 	ncurses \
 	net-tools \
+	netatalk \
 	netcat \
 	netpbm \
 	nfs-utils \
+	ngrep \
 	nmap \
 	ntfs-3g \
 	ntp \
@@ -198,6 +212,7 @@ SLUGOS_PACKAGES = "\
 	thttpd \
 	tiff \
 	tzdata \
+	unrar \
 	unzip \
 	upslug2 \
 	usbutils \






More information about the Openembedded-commits mailing list